<?php
  session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];
	include '../../conexion/conn.php';

  	$pi_fecha_inspeccion=$_REQUEST['pi_fecha_inspeccion'];
	$pi_especie_id=$_REQUEST['pi_especie_id'];
	$pi_exportador_cod=$_REQUEST['pi_exportador_cod'];
	$pi_packing_id=$_REQUEST['pi_packing_id'];
	$turno=$_REQUEST['turno'];
	$tipo_inspeccion=$_REQUEST['tipo_inspeccion'];
	

	$rs_packing = mysql_query("SELECT * FROM cal_packing where packing_id='$pi_packing_id'");

	if($row_packing = mysql_fetch_array($rs_packing)){
		$zona_id=$row_packing['zona_id'];
		$tipo_packing_id=$row_packing['tipo_packing_id'];
	}

	$rs_folio = mysql_query("SELECT MAX(pi_folio) as pi_folio FROM cal_planilla_inspeccion where pi_inspector='$rut'");

	if($row_folio = mysql_fetch_array($rs_folio)){
		if($row_folio['pi_folio']==NULL){
			$rs_folio2 = mysql_query("SELECT * FROM sys_usuario where usuario_rut='$rut'");

			if($row_folio2 = mysql_fetch_array($rs_folio2)){
				$fin_folio=$row_folio2['usuario_folio']+0.9999;
				$pi_folio=$row_folio2['usuario_folio']+0.0001;
				if($pi_folio>$fin_folio){
					//no quedan planillas
					$sql =  ("INSERT INTO cal_planilla_inspeccion(pi_folio, pi_fecha_inspeccion, pi_especie_id, pi_exportador_cod, pi_packing_id, pi_inspector, pi_zona_id, pi_tipo_packing_id, fecha_crea, pi_estado, usu_crea, cliente_id, pi_folio_web, sincro) VALUES(sfdfdsfd)");
					$result = @mysqli_query($sql);
				}else{
					$sql =  ("INSERT INTO cal_planilla_inspeccion(pi_folio, pi_fecha_inspeccion, pi_especie_id, pi_exportador_cod, pi_packing_id, tipo_planilla, pi_inspector, pi_zona_id, pi_tipo_packing_id, fecha_crea, pi_estado, usu_crea, cliente_id, pi_folio_web, sincro, turno, tipo_inspeccion) VALUES('$pi_folio', '$pi_fecha_inspeccion', '$pi_especie_id', '$pijhj_exportador_cod', '$pi_packing_id', 'TESTIGO', '$rut', '$zona_id', '$tipo_packing_id', now(), 'ABIERTA', '$rut', '$cliente', '0', 'N', '$turno', '$tipo_inspeccion')");
					$result = @mysql_query($sql);
				}
			}

		}else{
			$rs_folio2 = mysql_query("SELECT * FROM sys_usuario where usuario_rut='$rut'");

			if($row_folio2 = mysql_fetch_array($rs_folio2)){
				$fin_folio=$row_folio2['usuario_folio']+0.9999;
				$pi_folio=$row_folio['pi_folio']+0.0001;

				$pi_folio4=$row_folio2['usuario_folio']+0.0001;


				if($pi_folio4>$pi_folio){
					$pi_folio=$pi_folio4;
				}


				if($pi_folio>$fin_folio){
					$sql =  ("INSERT INTO cal_planilla_inspeccion(pi_folio, pi_fecha_inspeccion, pi_especie_id, pi_exportador_cod, pi_packing_id, pi_inspector, pi_zona_id, pi_tipo_packing_id, fecha_crea, pi_estado, usu_crea, cliente_id, pi_folio_web, sincro) VALUES(sfdfdsfd)");
					$result = @mysql_query($sql);
				}else{
					$sql =  ("INSERT INTO cal_planilla_inspeccion(pi_folio, pi_fecha_inspeccion, pi_especie_id, pi_exportador_cod, pi_packing_id, tipo_planilla, pi_inspector, pi_zona_id, pi_tipo_packing_id, fecha_crea, pi_estado, usu_crea, cliente_id, pi_folio_web, sincro, turno, tipo_inspeccion) VALUES('$pi_folio', '$pi_fecha_inspeccion', '$pi_especie_id', '$pi_exportador_cod', '$pi_packing_id', 'TESTIGO', '$rut', '$zona_id', '$tipo_packing_id', now(), 'ABIERTA', '$rut', '$cliente', '0', 'N', '$turno', '$tipo_inspeccion')");
					$result = @mysql_query($sql);
				}
			}

			
		}
		
	}

	

  	

	if($result){
		echo json_encode(array('success'=>true));
	}else{
		echo json_encode(array('success'=>false));
	}






?>